Memcached::deleteMulti
Memcached::fetch
Memcached
PHP Manual

# Memcached::deleteMultiByKey

(PECL memcached >= 2.0.0)

Memcached::deleteMultiByKey — Delete multiple items from a specific server

### Description

public bool Memcached::deleteMultiByKey ( string `$server_key` , array `$keys` [, int `$time` = 0 ] )

Memcached::deleteMultiByKey() is functionally equivalent to Memcached::deleteMulti(), except that the free-form `server_key` can be used to map the `keys` to a specific server.

### Parameters

`server_key`

  The key identifying the server to store the value on or retrieve it from. Instead of hashing on the actual key for the item, we hash on the server key when deciding which memcached server to talk to. This allows related items to be grouped together on a single server for efficiency with multi operations.

`keys`

  The keys to be deleted.

`time`

  The amount of time the server will wait to delete the items.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. The Memcached::getResultCode() will return `Memcached::RES_NOTFOUND` if the key does not exist.

### See Also

- Memcached::delete() - Delete an item
- Memcached::deleteByKey() - Delete an item from a specific server
- Memcached::deleteMulti() - Delete multiple items

Memcached::deleteMulti
Memcached::fetch
Memcached
PHP Manual